SYMLINK_LIST(1)

NAME
symlink_list - Show the file to which a symlink points

SYNOPSIS
symlink list << [-name] <file name >>> [-help]

DESCRIPTION
The symlink list command shows if a file is a symbolic link and, if so, shows to which file the link points.

CAUTIONS
The symlink commands are only available on Windows platforms. On other platforms, use the readlink command.

OPTIONS
Specify one or more symbolic links to list. The -name is optional, but the file name is not. Prints the online help for this command. All other valid options are ignored.

OUTPUT
This command prints "'file' is a symlink to 'otherfile'" or "'file' is not a symlink."

EXAMPLES
Given that file mylink is a link pointing to file myfile, the following commands will list the files:

   % symlink list -name mylink
   'mylink' is a symlink to 'myfile'
   % symlink list mylink
   'mylink' is a symlink to 'myfile'
   % symlink list -name myfile
   'myfile' is not a symlink.
   % symlink list myfile
   'myfile' is not a symlink.

PRIVILEGE REQUIRED
The issuer must have the l (look) and r (read) permissions on the ACL of the directory that houses the symlink.

SEE ALSO
the symlink(1) manpage, the symlink_make(1) manpage, the symlink_remove(1) manpage

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.